package ejbs;

import java.util.Collection;
import javax.ejb.Stateless;
import javax.persistence.EntityManager;
import javax.persistence.PersistenceContext;

@Stateless
public class MapKeyOrderByBean implements MapKeyOrderByRemote {
    
    @PersistenceContext(unitName="orderby-issue")
    EntityManager em;
    
    public MapKeyOrderByBean() {
    }

    public void persistEntity(Object entity) {
        em.persist(entity);
    }

    public void persistEntityCollection(Collection collection) {
        for(Object entity : collection){
            em.persist(entity);
        }
    }

    public Object getEntity(Class aClass, long id) {
        return em.find(aClass, id);
    }

}
